
Redmine - Defect #9429

Percentage Done of Subtasks of Subtask are not updated

2011-10-17 04:22 - James Ang

Status: Closed Start date: 2011-10-17

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

Hi,

I'm using Redmine 1.2.1 and I noticed that the "% Done" for Level 3 subtasks of subtask are not updated accordingly even when it's

closed (empty bar with 0%). But the "% Done" for the 2nd-level are updated correctly.

Can some verify if this is happening not only to mine setup.

Task #1 <- progress bar updated correctly (I presumed)

- Subtask #2 <- progress bar updated correctly based on its subtasks

- - Subtask #3 <- progress bar not updated

- - Subtask #4 <  progress bar not updated

- Subtask #5 <- progress bar updated correctly based on its subtasks

- - Subtask #6 <- progress bar not updated

- - Subtask #7 <  progress bar not updated

The "% Done" bar in the "Issue" page is no longer shown for selection during updating.

Thanks.

James

History

#1 - 2011-10-17 07:46 - Etienne Massip

- Category set to Issues

#2 - 2011-10-19 04:14 - James Ang

A future update to this defect:

The "% Done" property of all issues (including creating "New Issue") are now gone!?!

Is there a limit to the depth of sub-tasks?

#3 - 2011-10-19 08:40 - James Ang

- Status changed from New to Resolved

- % Done changed from 0 to 100

I found out that the "Calculate the issue done ratio with" "Use the Issue Field" option in Administration was changed to "Use the Issue Status" without

knowledge of any administrator.

Might be accidental, unintentional changes by some code or etc..

Please deem this closed and resolved.

Thanks.

#4 - 2011-10-19 15:25 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid
Thanks for the feedback...
